Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class IllegalDataException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.jdom.IllegalDataException

public class IllegalDataException
extends IllegalArgumentException

`IllegalDataException` is thrown when illegal text is supplied to a JDOM construct.

Version:
  1.0
Author:
  Brett McLaughlin, Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`IllegalDataException(String data, String construct)` This will create an `Exception` indicating that the specified data is illegal for the construct it was supplied to.
`IllegalDataException(String data, String construct, String reason)` This will create an `Exception` indicating that the specified data is illegal for the construct it was supplied to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalDataException

    public IllegalDataException(String data,
                                String construct,
                                String reason)

  This will create an `Exception` indicating that the specified data is illegal for the construct it was supplied to.

  Parameters:
    `data` - `String` data that breaks rules.
    `construct` - `String` construct that data is illegal for.
    `reason` - `String` message or reason data is illegal.

### IllegalDataException

    public IllegalDataException(String data,
                                String construct)

  This will create an `Exception` indicating that the specified data is illegal for the construct it was supplied to.

  Parameters:
    `data` - `String` data that breaks rules.
    `construct` - `String` construct that data is illegal for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.